Create Tenant Bgp Route Map Rule
curl --request POST \
--url https://api.example.com/service/{tenant_name}/bgp_route_map_rule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pfx_list_name": "<string>",
"priority": 123,
"name": "<string>",
"filters": [
{
"ip": "<string>",
"le": 123,
"ge": 123,
"seq": 123,
"match": true
}
],
"description": "<string>"
}
'import requests
url = "https://api.example.com/service/{tenant_name}/bgp_route_map_rule"
payload = {
"pfx_list_name": "<string>",
"priority": 123,
"name": "<string>",
"filters": [
{
"ip": "<string>",
"le": 123,
"ge": 123,
"seq": 123,
"match": True
}
],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pfx_list_name: '<string>',
priority: 123,
name: '<string>',
filters: [{ip: '<string>', le: 123, ge: 123, seq: 123, match: true}],
description: '<string>'
})
};
fetch('https://api.example.com/service/{tenant_name}/bgp_route_map_rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"extra_details": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}service - bgp_route_map_rule
Create Tenant Bgp Route Map Rule
POST
/
service
/
{tenant_name}
/
bgp_route_map_rule
Create Tenant Bgp Route Map Rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I